using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour
{

    public Gerenciador prefabPergunta;
    public Sprite[] imagens;
    public GameObject imagemAtual;
    public float velocidade;
    public float nivel = 0;
    

    public string tipo;

    void Start()
    {
        if (PlayerPrefs.GetInt("Nivel") != null)
        {
            nivel = PlayerPrefs.GetInt("Nivel");
        }
    }

    void Update()
    {
        AtualizarImagem();

    }

    private void AtualizarImagem()
    {
        if (nivel == 0)
        {
            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[0];
        }
        if (nivel == 1)
        {

            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[1];
            
        }
        if (nivel == 2)
        {

            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[2];
           

        }
        if (nivel == 3)
        {

            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[3];
            

        }
        if (nivel == 4)
        {

            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[4];

        }
        if (nivel == 5)
        {
            imagemAtual.GetComponent<SpriteRenderer>().sprite = imagens[5];
        }
    }
    
}